Subject: bug#24293: 25.1; Display bug: icomplete prompt not visible with icomplete-separator "\n"

From: martin rudalics <[email-masked]>
Date: Wed, 24 Aug 2016 11:08:01 +0200

> Is it possible to determine reliably the number of lines a minibuffer
 > window can display maximally for given max-mini-window-height?

For ‘max-mini-window-height’ specified as float you can get its maximum
theoretical pixel height by multiplying ‘max-mini-window-height’ with
the sum of the pixel heights of the frame's root window and the frame's
minibuffer window.  The real height is also constrained by the fact that
the height of the root window must not drop below the value returned by
‘window-min-pixel-height’ for that window.  Get the line value by
rounding to the pessimistic side respectively.  If you come up with a
good function, we can install it as say ‘window-max-mini-window-height’.

martin